### Virtual Method

# Foundry RenameProvider rename

#### Declaration [src]

    DexFuture*
    rename (
      FoundryRenameProvider* self,
      const FoundryTextIter* iter,
      const char* new_name
    )

#### Description [src]

Determines the list of changes that need to be made to the code-base to rename the word found at `iter`.

A consuming interface should display these edits to the user for validation and approval before applying them using `foundry_text_manager_apply_edits()` to apply the approved edits.

#### Parameters

`iter`

  Type: `FoundryTextIter`

  The location of the item to semantically rename.

  The data is owned by the caller of the method.

`new_name`

  Type: `const char*`

  The replacement name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTextEdit`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.